Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

What's the fastest/best way to copy a 3D box atop itself? (trick question)

Assume a 3D box of unknown dimensions represents the bottom drawer for a desk.

How does one copy that drawer atop itself (Z direction) but leaving a 1/2" space between them most efficiently?
The only dimension/distance you're allowed to know is the 1/2" space.

I go to front view, copy the box via bottom left corner to the top left corner as one operation. Then I lift the top box up a 1/2".
I suspect there's a more efficient way of doing this but I can't find it.

The more generic question is - how does one copy/move an entity using only known points accessible via mouse click AND provide an offset at the destination.
I don't want to do any arithmetic or use any dimensional knowledge to accomplish the task; just mouse clicks and the known offset.

«1

Comments

  • Use 'Temporary Tracking Points': either type TK at the command prompt or click the toolbutton on the Entity Snaps toolbar.
    See video in attchment. You can keep entering temporary points until you press Enter.

    mp4
    mp4
    TemporaryTrackingPoints.mp4
    707K
  • @Louis Verdonck

    Thank You

    I read about tracking points but it made no sense to me without an example. Now I understand.

  • You could also use LISP to achieve what you described, but this would IMO only make sense if you need to repeatedly copy things with a remembered offset value - try the attached script if that is your intent.

    Since you mentioned before that you do not have an AutoCAD background: You can load scripts via the "APPLOAD" command, and invoke the included commands by typing their name into the command line (in this case "COPYGAP"). You need to carefully follow the prompt then, this script will first ask for object selection, then for an offset (gap) value unless it finds one from a previous run, then for a base and a target point. The offset will be applied in the direction defined by the two points.

    lsp
    lsp
    copygap.lsp
    960B
  • @Knut Hohenberg

    As a Professional Software Developer I appreciate the code. Sooner or later I'll get into Lisp to manipulate things but for right now I'm just trying to get the standard interface to give me what I want.

    I'm working on a real drawing as an experiment and learning tool. I had it nearly finished when I discovered that everything on one of my layers turned into a "region" and I could no longer access the pieces I drew. I thought exploding the region would give me back what I drew, but no such luck. How it became a region is a mystery, one of many I'm trying to figure out.

  • edited December 2018

    I never got into tracking, or even the online coordinate entry. I would normally just copy from endpoint on the bottom, then use the @ to do a relative point from end point on the top. If the geometry makes this more difficult, I would perhaps just move one box on top ad the first step. Then I would do a move, "L" (for last) and then move that 2nd box as a separate operation.

    When tracking first came out, I figured I would wait and see if it withstands the test of time, because some things are more fad than actually useful tool. I viewed it like the on-screen selection menu that pops-up by default. My 1st task was to figure out how to disable it. But, eventually, I suppose I may seriously look into tracking.

  • It sounds like you're an old hand at CAD with an investment in techniques that were necessary in days gone by - force of habit - nothing wrong with that. Past experience also tells you to wait and see if some new bell or whistle will pan out. I wish I had such experience.

    Since I don't speak AutoCAD or BricsCAD, I have no habits and no CAD experience worth mentioning, so I go looking for the maximum the product can give me.

    I was following along in Ralph Grabowski's book and not having the fly-out menu was a show stopper for me. I needed that menu to follow along because I'm too ignorant to read between the lines. I'm getting more used to the command line each passing day. I've used that tracking technique to good advantage and see how useful it is.

  • Tracking falls into the category "command modifiers" another one is "from"
    when you start the copy command it prompts you for the base point (the bottom corner of the drawer) it then asks for the second point if you now type the word "from" you will be prompted for a base point (the upper corner of the drawer) and then a distance if you have ortho on you can move the cursor in the correct direction and just type "1/2".
    There are a number of these command modifiers and well worth the effort to learn.

  • @Steven_g

    I just looked up 'command modifiers' in the offline help and the single found reference was in a paragraph that says to use the AutoCAD modifiers but fails to list what they are. So, I downloaded the BricsCAD-V19-forAutoCADUsers.pdf and it has 0 references for 'Command Modifiers'. I've never found an actual BricsCAD Users Guide. I'll search AutoDesk's site to see if they offer any help.

    I followed your instructions and got one box atop the other with a space in between. Great!

    Thank you for another way of doing things.

  • Ralph Grabowski's 'Inside Bricscad v19' is out v soon - cd be what we're waiting for.

  • @Tom Foster

    Ralph's V18 book gave me the leg up I needed. Without it I'd be nowhere.

    However, what I find missing in it is how to perform the basics in 3D; essentially answers to the rudimentary questions I've been asking here.

    BricsCAD needs a comprehensive Users Manual complete with numerous examples of how to implement the various capabilities the product offers. BricsCAD needs a "How To" book based largely on examples of how to perform common tasks.

    It appears Bricsys's entire focus is to sell to existing AutoCAD accounts. They forget about users with no AutoCAD experience evidenced by the complete lack of a Users Manual.

    Their online documentation is so poorly formatted that it's very difficult to read and glean meaningful information. Someone needs to add white space, paragraph breaks, bullets, color, etc to take their monolithic paragraphs of prose and transform them into something more legible.

  • Does this help ?

    mp4
    mp4
    2019-01-01_10-32-50.mp4
    787K
  • @Kerry Brown

    If I'm not mistaken, you selected a base point in space, unconnected to the lines, and then did a relative displacement from that arbitrary point only in the Z axis thus raising the selected line the same distance in the Z axis.

  • edited January 1

    @RoatanBill said:
    @Kerry Brown

    If I'm not mistaken, you selected a base point in space, unconnected to the lines, and then did a relative displacement from that arbitrary point only in the Z axis thus raising the selected line the same distance in the Z axis.

    Yes.
    You can choose any reference point, then
    drag the cursor in the direction you wish to move the selected objects, then
    input the distance to move ( either in the input window or at the command line )

    essentially it's
    move
    what
    from
    to
    move
    prev
    from
    to (input displacement distance) in the cursor direction

    2019-01-01_15-15-01.png
    613 x 409 - 10K
  • edited January 1

    Have a play

    `
    ;; All care, no responsibility.

    (defun c:MoveIt ( / ss ZedOffset)
      (setq ZedOffset 12)
      (if (setq ss (ssget () ))
        (progn
          (vl-cmdf "_Move" ss "" PAUSE PAUSE)
          (vl-cmdf "_Move" "_P" "" "_Displacement" (list 0 0 ZedOffset))
        )
      )  
      (princ)
    )
    

    `

    mp4
    mp4
    Moveit 2019-01-01_15-51-26.mp4
    836K
    lsp
    lsp
    kdub_moveIt.lsp
    273B
  • I reread your original post
    ... You wanted to copy the solid

    So :

    (defun c:CopyAndMoveIt ( / ss ZedOffset)
          (setq ZedOffset 12)
          (if (setq ss (ssget () ))
            (progn
              (vl-cmdf "_Copy" ss "" PAUSE PAUSE)
              (vl-cmdf "_Move" "_Last" "" "_Displacement" (list 0 0 ZedOffset))
            )
          )  
          (princ)
        )
    mp4
    mp4
    CopyAndMoveIt.mp4
    2M
    lsp
    lsp
    kdub_moveIt.lsp
    525B
  • RoatanBill said:
    "what I find missing in it is how to perform the basics in 3D"

    I found the Shape tutorials https://help.bricsys.com/hc/en-us/sections/360001481833-Tutorials very helpful - they really are from-basics, short, and assume no previous knowlege or understanding, though later ones e.g. https://help.bricsys.com/hc/en-us/articles/360006815034-How-to-create-a-roof-in-BricsCAD-Shape do move too fast and leave things unexplained.

    Shape is a stripped-down Bricscad and all that's learned there can be transfered to Bricscad/BricsBIM

  • @Kerry Brown
    You're getting way ahead of me. I'm still trying to get used to the standard interface to do things. As a programmer, I'll get into LISP to automate what I want to do later on.

    @Tom Foster
    Thanks for the links. I'll check them out.

  • @RoatanBill said:

    BricsCAD needs a comprehensive Users Manual complete with numerous examples of how to implement the various capabilities the product offers. BricsCAD needs a "How To" book based largely on examples of how to perform common tasks.

    There is an offline help document (PDF) linked at the very bottom of the page here.

    The good news is that it's 4472 pages. The bad news (you knew this was coming) is that it mentions command modifiers in only one place, without further expanding on what they are. What other nuggets of information may be slighted?

  • @Richard Webb

    I'm well aware of that document. I have it downloaded to my box and have it open while working with BricsCAD. The formatting is lousy, the examples near nonexistent, but it's better than nothing.

    Yesterday I tried finding references to "command modifier" in AutoCAD docs and came up empty. I conclude it's a big dark secret that only the CIA and NSA are privy to. :)

    A Google search for that string did bring up topics with what I suppose are some of the modifiers, but without a comprehensive list that didn't amount to much either.

  • In the past, I have also criticized BricsCAD's documentation (note that I am on v14). I generally do an internet search, before I go to the online BricsCAD help. Often I will add the term "autocad" to get results for their version of the command.

    But, I come from the days of AutoCAD v10, when the printed user manuals made a stack about 6" thick. Though I didn't read every page, I at least glossed over every page. It was very well illustrated and well written. But, those days are long gone. I don't know of any software that now comes with documentation of that quality.

    -Joe

  • @Joe Dunfee

    Sadly, you're correct. It appears that "The job's not done till the paperwork's finished" no longer applies. I keyed 'book BricsCAD' into Amazon's search engine and came up with one title. I considered purchasing it till I realized the book was written in Polish and I speak only English and German.

    I believe part of the problem is that most people can't write a decent sentence. All one needs to do is read the comments section of any web site to conclude that expecting even educated people to produce understandable documentation is asking too much these days. Producing cogent prose is a lost art.

    I come out of the software industry. I'm also a technical book author. While working in a corporate setting I thoroughly documented my code and produced actionable documentation for systems designed for end users. It appears those days are gone.

  • "command modifier" is just a term used to describe a number of items, and is used to show different methods of determining an input point when the program is expecting the user to select a point, so 'osnaps' can be classed as command modifiers and if you don't have the necessary snap selected in your settings or your drawing is cluttered and there are a number of snaps available and you just want to use a single type of snap then, when you are being prompted for a point you can type the first 3 letters of a snap point ('end' 'mid' 'per' 'qua' etc) and only that snap will be available for the next point you pick (and only the next point - "modifying" your options at that time) any subsequent points revert to normal unless you choose another modifier. "from" "mtp"(midway between two ponts or "M2P") "point filters"('.x' '.y' '.z' '.xy' etc) are all command modifiers, and can be used whenever you are being prompted for input points by various commands.
    They all have their advantages and are well worth the effort learning, and most are also available by using the right mouse click context menus.

  • edited January 2

    That's right - 'Command modifier' is not a category that you might find a list of - it's a plain-English term or action, like perhaps 'Right mouse click'

  • @Steven_g
    You've provided some of the modifiers most of which I've never heard of. I'm not a CAD professional and have no AutoCAD knowledge. Do you know of where these and possibly other modifiers are thoroughly described? These may be second nature and obvious to you, but to me they are a mystery. I heard about the 'from' modifier and tried to use it on a DMMOVE but it didn't work. I ended up using tk to do what I needed.

    @Tom Foster
    I'm beginning to understand that I'm never going to see a bulleted list of these modifiers. I suppose I'm to gain the knowledge via osmosis and proximity to BricsCAD operating on my machine, but osmosis isn't working for me.

  • As you dive into each command, maybe consult help, you'll find the modifiers that apply to that command. Most will be unique, ad hoc to that command, varying in nature and how to activate (e.g a mouse click or a key stroke). Acad/Brics is strong on such modifiers, which are designed become almost instinctive, muscle-memory, fast. You'd appreciate that approach if comparing to e'g. Microstation's lumbering 'logical' approach, which involves ticking boxes or clicking buttons on a dialog (known as Tool Settings) instead.

  • edited January 2

    To have a book with a description of every method available to do everything that anyone might want to do in a program like Bricsacd or Autocad would be a never ending story, and just when the author thinks they are finished they bring out a new version or new command. Which is why forums and youtube videos are always full of fresh content. Would you honestly sit down and read every page of that 4472 page document mentioned above, would you also try all the examples it gives and then also play with different settings until you fully understood every option of every command and how it would work in every situation, the best you can do is exactly what you are doing now, ask questions, search the internet, read articles and then try and apply that knowledge to your particular situation, because for someone else the "from" modifier might be completely useless or need combining with something else to make their workflow easier, you can for example combine "from" with "mtp" to find a point that is 1/2" above the point that lies halfway between the "mid" points of the drawer sides in the direction of etc. etc. (that's 5 modifiers for a single point) which can get really complicated if you want it too, but it's a lot quicker than drawing a whole sequence of helper geometry and deleting it later, I would say easier but the ease comes with experience and trying it out.

    And yes the above sequence does work (to a degree, I just played with it) it actually fails to operate orthagonally in Autocad/Bricscad and only follows the cursor direction.

  • @Tom Foster

    What help?

    I just looked up DMMOVE in the bricsys_offline_help.pdf which I always have open on one monitor. There's nothing there about any modifiers I could possibly use. @Steven_g made mention of .x, .y and .z . They sounded interesting so I tried looking them up. Absolutely nothing. I looked up m2p as it's not likely to exist as part of a word so a ctrl-f in the web browser should locate references. I found 2; on pages 454 and 3409. I don't think it's reasonable to have to go through 3400 pages of poorly formatted text to discover this facility.

  • @Steven_g

    To answer your question - no, I'm not going to read over 4000 pages as a prerequisite to using BricsCAD. The book by Ralph focused primarily on the 2D capabilities as they're the easiest to explain and are the introduction to 3D.

    What's missing in the BricsCAD world is a 3D book, which I would read. I wouldn't expect it to cover every possible aspect, but I would expect it to have examples of How To do the most common tasks. I believe the command modifiers would enter the picture at some point because I suspect they're handy.

    I do appreciate this forum and the folks that have answered my neophyte questions. But, there are so many question and I'm going to wear out my welcome sooner or later. Even I consider myself a PITA for bothering professionals with my ignorant queries.

    BTW - The best piece of technical documentation I ever encountered was for the DOS C Compiler from Microsoft. It documented everything in the days before forums and was a pleasure to read. I read it cover to cover more than once. Long after DOS was supplanted by Windows and I moved on to newer compilers, I kept the Users Guide simply because it was a technical writers gem. I still have it.

  • @RoatanBill
    I doubt you will wear out your welcome, your questions are relevant, and I certainly enjoyed responding, I hang out on Forums because of what I learn from them, your question made me look deeper at modifiers and I learned today that they can be combined just by trying out some ideas that your question raised in my mind, so thank you for that.

    Here's a couple of links about point filters.
    https://thesourcecad.com/understanding-point-filters-in-autocad/
    https://vdci.edu/resources/tips-and-tricks/autocad-xyz-filters/
    Both these show using the right mouse click for the shortcut menu, but you can get the same by typing ".x" ".xy" etc.

  • @Steven_g

    I don't know how I got there, but I discovered one of your posts at CADTutor. The link to Ron Myers course is something I'll investigate.

    I'll go through your links above as well.

Sign In or Register to comment.
Origami
Origami is the Japanese word for paper folding. ORI means to fold and KAMI means paper and involves the creation of paper forms usually entirely by folding.

Powered by VanillaForums, Designed by Steam